## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name bioframe

%bcond tests 1

Name:           python-%{pypi_name}
Version:        0.7.2
Release:        %{autorelease}
Summary:        Operations and utilities for Genomic Interval Dataframes

%global forgeurl https://github.com/open2c/bioframe
%forgemeta

# SPDX
License:        MIT
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Bioframe enables flexible and scalable operations on genomic interval
dataframes in Python.

Bioframe is built directly on top of Pandas. Bioframe provides:

- A variety of genomic interval operations that work directly on
  dataframes.
- Operations for special classes of genomic intervals, including
  chromosome arms and fixed-size bins.
- Conveniences for diverse tabular genomic data formats and loading
  genome assembly summary information.

Bioframe is an Affiliated Project of NumFOCUS.}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}
Recommends:     python3dist(biopython)
Recommends:     python3dist(pysam)
Recommends:     python3dist(pybbi)

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1

# Remove linter from `dev` extra
sed -i '/"ruff"/ d' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x dev}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}


%check
%pyproject_check_import
%if %{with tests}
# Disable tests requiring network
k="${k-}${k+ and }not test_fetch"
%pytest -v ${k+-k }"${k-}"
%endif


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md CONTRIBUTING.md CITATION.cff CHANGES.md


%changelog
## START: Generated by rpmautospec
* Fri Jun 21 2024 Packit <hello@packit.dev> - 0.7.2-1
- Update to 0.7.2 upstream release
- Resolves: rhbz#2293514

* Tue Jun 18 2024 Packit <hello@packit.dev> - 0.7.1-1
- Update to 0.7.1 upstream release
- Resolves: rhbz#2282277

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.6.4-2
- Rebuilt for Python 3.13

* Sun Apr 07 2024 Packit <hello@packit.dev> - 0.6.4-1
- Update to 0.6.4 upstream release
- Resolves: rhbz#2273852

* Wed Mar 13 2024 Sandro <devel@penguinpee.nl> - 0.6.3-2
- Fix Packit config

* Wed Mar 13 2024 Sandro <devel@penguinpee.nl> - 0.6.3-1
- Update to 0.6.3 (RHBZ#2269096)

* Mon Mar 04 2024 Sandro <devel@penguinpee.nl> - 0.6.2-2
- Re-enable failing tests

* Mon Mar 04 2024 Sandro <devel@penguinpee.nl> - 0.6.2-1
- Update to 0.6.2 (RHBZ#2263446)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 12 2024 Sandro <devel@penguinpee.nl> - 0.6.1-2
- Add Packit config

* Fri Jan 12 2024 Sandro <devel@penguinpee.nl> - 0.6.1-1
- New package (RHBZ#2257170)
## END: Generated by rpmautospec
